#
# spec file for package octave-forge-mapping
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  mapping
Name:           octave-forge-%{octpkg}
Version:        1.2.1
Release:        lp150.1.4
Summary:        Octave mapping functions
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  octave-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(gdal)
Requires:       octave-cli >= 3.8.0
Requires:       octave-forge-geometry >= 1.4.0
Requires:       octave-forge-io >= 2.2.7
Requires:       octave-forge-octclip >= 1.0.3

%description
Simple Mapping and GIS .shp file functions.

This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Fri Jun 10 2016 dmitry_r@opensuse.org
- Update to version 1.2.1
  * New functions: rasterread, rasterinfo, rasterdraw, gdalread,
    wrapToPi, wrapTo2Pi, wrapTo180, wrapTo360,
  * New features
  - Reading GIS raster data.
  - mapshow.m: drawing raster data is now supported.
  - shapedraw.m: drawing speed of filled polygons and multipatches
    is much improved
* Thu Aug 13 2015 dmitry_r@opensuse.org
- Initial package, version 1.2.0
